--Now we can create the datawarehouse tables
	CREATE TABLE Countries(
		Country char(120) NULL,
		City char(120) NULL
	)

	CREATE TABLE Products(
		Code char(5) NULL,
		Product_line char(120) NULL,
		Product_type char(240) NULL,
		Product char(240) NULL,
		Product_cost money NULL
	)

	CREATE TABLE sales_by_time(
		--Summarising the data
		year int
		,month int
		,quarter int
		,day int
		,total_sales money
	)

	CREATE TABLE sales_2016 (
		Date date NULL,
		Retailer_city char(120) NULL,
		Order_method_type char(120) NULL,
		Urgent char(5) NULL,
		Retailer_type char(120) NULL,
		Product_code char(5) NULL,
		Sale_price money NULL,
		Quantity_sold int NULL
	)

	CREATE TABLE sales_2017 (
		Date date NULL,
		Retailer_city char(120) NULL,
		Order_method_type char(120) NULL,
		Urgent char(5) NULL,
		Retailer_type char(120) NULL,
		Product_code char(5) NULL,
		Sale_price money NULL,
		Quantity_sold int NULL
	)